package com.fufan.mtsaas.modules.sysmgr.sydept.dao;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.baomidou.mybatisplus.plugins.Page;
import com.fufan.mtsaas.modules.sysmgr.sydept.model.SYDept;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
  *  Mapper 接口
 *
 * @author Liby
 * @since 2019-08-19
 */
@Repository
public interface SYDeptDao extends BaseMapper<SYDept> {
    List<SYDept> selectList(Page page, @Param("params") Map<String, String> params);
    List<SYDept> selectListbyPK(Page page, @Param("params") Map<String, String> params);

    int insertRecords(SYDept sYscriptD);

    int deleteByPk(@Param("params") Map<String, String> params);

    @Override
    SYDept selectById(Serializable id);

    @Override
    Integer deleteById(Serializable id);

    int updateRecords(SYDept sYscriptD);

    int updateByID(SYDept sYscriptD);

    List<SYDept> selectunList(Page page, @Param("params") Map<String, String> params);

    List<SYDept> selectpickedList(Page page, @Param("params") Map<String, String> params);
}